#
# Conditional build:
%bcond_with	static_libs	# don't build static library
%bcond_without	tests		# build without tests

%define	svnver	1325
Summary:	YUV conversion and scaling functionality library
Summary(pl.UTF-8):	Biblioteka do konwersji i skalowania YUV
Name:		libyuv
Version:	0.%{svnver}
Release:	3
License:	BSD
Group:		Development/Libraries
## svn -r 1325 export http://libyuv.googlecode.com/svn/trunk libyuv
## tar -cJf libyuv-svn1325.tar.bz2 --exclude-vcs libyuv
Source0:	%{name}-svn%{svnver}.tar.xz
# Source0-md5:	f18002950f43df0d168fbf8fcb5fc9c1
Source1:	%{name}.pc
Patch0:		shared-lib.patch
URL:		http://code.google.com/p/libyuv/
BuildRequires:	cmake
%{?with_tests:BuildRequires:	gtest-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an open source project that includes YUV conversion and
scaling functionality. Converts all webcam formats to YUV (I420).
Convert YUV to formats for rendering/effects. Rotate by 90 degrees to
adjust for mobile devices in portrait mode. Scale YUV to prepare
content for compression, with point, bilinear or box filter.

%description -l pl.UTF-8
Ten projekt o otwartych źródłach funkcjonalnością obejmuje konwersję
oraz skalowanie YUV. Potrafi:
- tłumaczyć formaty kamer internetowych na YUV (I420)
- przekształcać YUV na formaty zdatne do renderowania i efektów
- obracać obraz o 90 stopni, aby dostosowaćdo urządzeń przenośnych w
  trybie portretowym
- skalować YUV w celu przygotowania do kompresji z filtrem punktowym,
  dwuliniowym lub prostokątnym.

%package devel
Summary:	The development files for libyuv
Summary(pl.UTF-8):	Pliki programistyczne libyuv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for development with libyuv.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libyuv.

%package static
Summary:	Static libyuv library
Summary(pl.UTF-8):	Statyczna biblioteka libyuv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libyuv library.

%description static -l pl.UTF-8
Statyczna biblioteka libyuv.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
mkdir -p build
cd build
%cmake .. %{?with_tests:-DTEST=ON}

%{__make}
%{?with_tests:./libyuv_unittest}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__sed} -e 's|@PACKAGE_VERSION@|%{svnver}|' \
	-e 's|@prefix@|%{_prefix}|' \
	-e 's|@exec_prefix@|%{_prefix}|' \
	-e 's|@libdir@|%{_libdir}|' \
	-e 's|@includedir@|%{_includedir}|' %{SOURCE1} >$RPM_BUILD_ROOT%{_pkgconfigdir}/libyuv.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE PATENTS
%attr(755,root,root) %{_libdir}/libyuv.so.*.*.*
%ghost %{_libdir}/libyuv.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyuv.so
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libyuv.a
%endif
%changelog
* Sun Mar 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libyuv.git;a=log;h=master

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 37325ca
- rel 3

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 4a862b5
- bump soname

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 3fd7f7f
- bumped soname, some functions has been removed
- rel 2

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 5532560
- updated to latest svn version
- remove autotools patch, cmake can do its job just fine
- added shared lib patch for cmake, disabled static lib

* Mon Jan 14 2013 Elan Ruusamäe <glen@delfi.ee> b59fe44
- no checkout yasm and libjpeg_turbo

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 06c28e4
- use versioned dir in tarball

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 493ac7f
- skip gold binaries

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> eb3b7c2
- use libyuv as source dir

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> c0781f3
- use tar -a to let tar decide on compressor

* Wed Jan 09 2013 Elan Ruusamäe <glen@delfi.ee> 5d9f4da
- get source from svn using gclient

* Sun Dec 30 2012 Elan Ruusamäe <glen@delfi.ee> 1be264c
- up to svn522

* Mon Nov 12 2012 Jakub Bogusz <qboosh@pld-linux.org> b3a414c
- pl
- fixed mjpeg default information in help message in autotools-support patch
- added -static (with static_libs bcond)
- neon name was misleading, changed bcond to armneon (has nothing to do with neon library)

* Sun Nov 04 2012 Elan Ruusamäe <glen@delfi.ee> 8e69f3e
- new, version checked out from svn

